Bug 765776 (AST-2011-014, CVE-2011-4598) - CVE-2011-4598 asterisk: NULL pointer dereference (crash) when processing INFO automon message with no channel (AST-2011-014)
Summary: CVE-2011-4598 asterisk: NULL pointer dereference (crash) when processing INFO...
Keywords:
Status: CLOSED ERRATA
Alias: AST-2011-014, CVE-2011-4598
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 765778 765779
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-09 11:53 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-11 03:12:32 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2011-12-09 11:53:33 UTC
A NULL pointer dereference flaw was found in the way Asterisk handled INFO requests, when the 'automon' feature was enabled. If no channel had been created yet, a remote attacker could use this flaw to cause a denial of service (asterisk crash) by sending an INFO request.

References:
[1] http://www.asterisk.org/node/51693
[2] http://downloads.asterisk.org/pub/security/AST-2011-014.pdf
[4] https://bugs.gentoo.org/show_bug.cgi?id=394095

Upstream patch (for 1.8 branch):
[5] http://svnview.digium.com/svn/asterisk?view=revision&sortby=date&revision=347533

Comment 1 Jan Lieskovsky 2011-12-09 12:01:53 UTC
This issue affects the versions of the asterisk package, as shipped with Fedora release of 15 and 16. Please schedule an update.

--

This issue affects the version of the asterisk package, as shipped with Fedora EPEL 6. Please schedule an update.

Comment 2 Jan Lieskovsky 2011-12-09 12:02:50 UTC
CVE Request:
http://www.openwall.com/lists/oss-security/2011/12/09/3

Comment 3 Jan Lieskovsky 2011-12-09 12:04:47 UTC
Created asterisk tracking bugs for this issue

Affects: fedora-all [bug 765778]
Affects: epel-6 [bug 765779]

Comment 4 Vincent Danen 2011-12-09 18:05:59 UTC
This was assigned the name CVE-2011-4598.

Comment 5 Fedora Update System 2012-03-31 03:10:07 UTC
asterisk-1.8.10.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.